## bglibs 1.104

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

adt/adt_sp.lo: libcompile adt/adt_sp.c adt/common.h
	./libcompile adt/adt_sp.c

adt/adt_sp.o: compile adt/adt_sp.c adt/common.h
	./compile adt/adt_sp.c

adt/ghash_add.lo: libcompile adt/ghash_add.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_add.c

adt/ghash_add.o: compile adt/ghash_add.c adt/ghash.h adt/common.h
	./compile adt/ghash_add.c

adt/ghash_foreach.lo: libcompile adt/ghash_foreach.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_foreach.c

adt/ghash_foreach.o: compile adt/ghash_foreach.c adt/ghash.h adt/common.h
	./compile adt/ghash_foreach.c

adt/ghash_free.lo: libcompile adt/ghash_free.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_free.c

adt/ghash_free.o: compile adt/ghash_free.c adt/ghash.h adt/common.h
	./compile adt/ghash_free.c

adt/ghash_get.lo: libcompile adt/ghash_get.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_get.c

adt/ghash_get.o: compile adt/ghash_get.c adt/ghash.h adt/common.h
	./compile adt/ghash_get.c

adt/ghash_init.lo: libcompile adt/ghash_init.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_init.c

adt/ghash_init.o: compile adt/ghash_init.c adt/ghash.h adt/common.h
	./compile adt/ghash_init.c

adt/ghash_insert.lo: libcompile adt/ghash_insert.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_insert.c

adt/ghash_insert.o: compile adt/ghash_insert.c adt/ghash.h adt/common.h
	./compile adt/ghash_insert.c

adt/ghash_iter.lo: libcompile adt/ghash_iter.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_iter.c

adt/ghash_iter.o: compile adt/ghash_iter.c adt/ghash.h adt/common.h
	./compile adt/ghash_iter.c

adt/ghash_rebuild.lo: libcompile adt/ghash_rebuild.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_rebuild.c

adt/ghash_rebuild.o: compile adt/ghash_rebuild.c adt/ghash.h adt/common.h
	./compile adt/ghash_rebuild.c

adt/ghash_rehash.lo: libcompile adt/ghash_rehash.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_rehash.c

adt/ghash_rehash.o: compile adt/ghash_rehash.c adt/ghash.h adt/common.h
	./compile adt/ghash_rehash.c

adt/ghash_remove.lo: libcompile adt/ghash_remove.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_remove.c

adt/ghash_remove.o: compile adt/ghash_remove.c adt/ghash.h adt/common.h
	./compile adt/ghash_remove.c

adt/ghash_search.lo: libcompile adt/ghash_search.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_search.c

adt/ghash_search.o: compile adt/ghash_search.c adt/ghash.h adt/common.h
	./compile adt/ghash_search.c

adt/ghash_set.lo: libcompile adt/ghash_set.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_set.c

adt/ghash_set.o: compile adt/ghash_set.c adt/ghash.h adt/common.h
	./compile adt/ghash_set.c

adt/gqueue_pop.lo: libcompile adt/gqueue_pop.c adt/gqueue.h adt/common.h
	./libcompile adt/gqueue_pop.c

adt/gqueue_pop.o: compile adt/gqueue_pop.c adt/gqueue.h adt/common.h
	./compile adt/gqueue_pop.c

adt/gqueue_push.lo: libcompile adt/gqueue_push.c adt/gqueue.h adt/common.h
	./libcompile adt/gqueue_push.c

adt/gqueue_push.o: compile adt/gqueue_push.c adt/gqueue.h adt/common.h
	./compile adt/gqueue_push.c

adt/gqueue_top.lo: libcompile adt/gqueue_top.c adt/gqueue.h adt/common.h
	./libcompile adt/gqueue_top.c

adt/gqueue_top.o: compile adt/gqueue_top.c adt/gqueue.h adt/common.h
	./compile adt/gqueue_top.c

adt/gstack_pop.lo: libcompile adt/gstack_pop.c adt/gstack.h adt/common.h
	./libcompile adt/gstack_pop.c

adt/gstack_pop.o: compile adt/gstack_pop.c adt/gstack.h adt/common.h
	./compile adt/gstack_pop.c

adt/gstack_push.lo: libcompile adt/gstack_push.c adt/gstack.h adt/common.h
	./libcompile adt/gstack_push.c

adt/gstack_push.o: compile adt/gstack_push.c adt/gstack.h adt/common.h
	./compile adt/gstack_push.c

adt/gstack_top.lo: libcompile adt/gstack_top.c adt/gstack.h adt/common.h
	./libcompile adt/gstack_top.c

adt/gstack_top.o: compile adt/gstack_top.c adt/gstack.h adt/common.h
	./compile adt/gstack_top.c

adt/hashb.lo: libcompile adt/hashb.c adt/common.h
	./libcompile adt/hashb.c

adt/hashb.o: compile adt/hashb.c adt/common.h
	./compile adt/hashb.c

adt/hashs.lo: libcompile adt/hashs.c adt/common.h
	./libcompile adt/hashs.c

adt/hashs.o: compile adt/hashs.c adt/common.h
	./compile adt/hashs.c

all: dotlibs sysdeps.h libraries bg-installer cli-generate selftests

base64/asc2bin.lo: libcompile base64/asc2bin.c base64/base64.h str/str.h
	./libcompile base64/asc2bin.c

base64/asc2bin.o: compile base64/asc2bin.c base64/base64.h str/str.h
	./compile base64/asc2bin.c

base64/bin2asc.lo: libcompile base64/bin2asc.c base64/base64.h str/str.h
	./libcompile base64/bin2asc.c

base64/bin2asc.o: compile base64/bin2asc.c base64/base64.h str/str.h
	./compile base64/bin2asc.c

base64/decode_line.lo: libcompile base64/decode_line.c base64/base64.h str/str.h
	./libcompile base64/decode_line.c

base64/decode_line.o: compile base64/decode_line.c base64/base64.h str/str.h
	./compile base64/decode_line.c

base64/decode_part.lo: libcompile base64/decode_part.c base64/base64.h str/str.h
	./libcompile base64/decode_part.c

base64/decode_part.o: compile base64/decode_part.c base64/base64.h str/str.h
	./compile base64/decode_part.c

base64/encode_line.lo: libcompile base64/encode_line.c base64/base64.h str/str.h
	./libcompile base64/encode_line.c

base64/encode_line.o: compile base64/encode_line.c base64/base64.h str/str.h
	./compile base64/encode_line.c

base64/encode_part.lo: libcompile base64/encode_part.c base64/base64.h str/str.h
	./libcompile base64/encode_part.c

base64/encode_part.o: compile base64/encode_part.c base64/base64.h str/str.h
	./compile base64/encode_part.c

bg-installer: bg-installer.o load libbg-cli.a libbg-msg.a libbg-path.a libbg-iobuf.a libbg-fmt.a libbg-str.a libbg-sysdeps.a
	./load bg-installer libbg-cli.a libbg-msg.a libbg-path.a libbg-iobuf.a libbg-fmt.a libbg-str.a libbg-sysdeps.a  

bg-installer.o: compile bg-installer.c sysdeps.h cli/cli.h fmt/number.h iobuf/ibuf.h iobuf/common.h iobuf/obuf.h iobuf/iobuf.h msg/msg.h msg/wrap.h path/path.h str/str.h
	./compile bg-installer.c

cdb/cdb.lo: libcompile cdb/cdb.c cdb/cdb.h sysdeps.h
	./libcompile cdb/cdb.c

cdb/cdb.o: compile cdb/cdb.c cdb/cdb.h sysdeps.h
	./compile cdb/cdb.c

cdb/cdbhash.lo: libcompile cdb/cdbhash.c cdb/cdb.h sysdeps.h
	./libcompile cdb/cdbhash.c

cdb/cdbhash.o: compile cdb/cdbhash.c cdb/cdb.h sysdeps.h
	./compile cdb/cdbhash.c

cdb/find.lo: libcompile cdb/find.c cdb/cdb.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./libcompile cdb/find.c

cdb/find.o: compile cdb/find.c cdb/cdb.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./compile cdb/find.c

cdb/get.lo: libcompile cdb/get.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./libcompile cdb/get.c

cdb/get.o: compile cdb/get.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./compile cdb/get.c

cdb/getnext.lo: libcompile cdb/getnext.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./libcompile cdb/getnext.c

cdb/getnext.o: compile cdb/getnext.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./compile cdb/getnext.c

cdb/make.lo: libcompile cdb/make.c cdb/cdb.h sysdeps.h cdb/make.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./libcompile cdb/make.c

cdb/make.o: compile cdb/make.c cdb/cdb.h sysdeps.h cdb/make.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./compile cdb/make.c

cdb/read.lo: libcompile cdb/read.c cdb/cdb.h sysdeps.h
	./libcompile cdb/read.c

cdb/read.o: compile cdb/read.c cdb/cdb.h sysdeps.h
	./compile cdb/read.c

choose: warn-auto.sh choose.sh
	cat warn-auto.sh choose.sh >choose
	chmod 755 choose

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

cli-generate: perl-head.pl cli-generate.pl
	cat perl-head.pl cli-generate.pl >cli-generate
	chmod 755 cli-generate

cli/help.o: compile cli/help.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h systime.h cli/cli.h cli/internal.h
	./compile cli/help.c

cli/main.o: compile cli/main.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h systime.h cli/cli.h cli/internal.h
	./compile cli/main.c

compile: conf-cc
	(  \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I.  '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

crc-gentab: crc-gentab.o load libbg-msg.a libbg-iobuf.a libbg-sysdeps.a
	./load crc-gentab libbg-msg.a libbg-iobuf.a libbg-sysdeps.a  

crc-gentab.o: compile crc-gentab.c sysdeps.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h
	./compile crc-gentab.c

crc/crc16_arc_table.c: crc-gentab
	./crc-gentab crc16_arc 16 0x8005 reflected >$@

crc/crc16_arc_table.lo: libcompile crc/crc16_arc_table.c
	./libcompile crc/crc16_arc_table.c

crc/crc16_arc_table.o: compile crc/crc16_arc_table.c
	./compile crc/crc16_arc_table.c

crc/crc16_ccitt_table.c: crc-gentab
	./crc-gentab crc16_ccitt 16 0x1021 normal >$@

crc/crc16_ccitt_table.lo: libcompile crc/crc16_ccitt_table.c
	./libcompile crc/crc16_ccitt_table.c

crc/crc16_ccitt_table.o: compile crc/crc16_ccitt_table.c
	./compile crc/crc16_ccitt_table.c

crc/crc16_xmodem_table.c: crc-gentab
	./crc-gentab crc16_xmodem 16 0x8408 reflected >$@

crc/crc16_xmodem_table.lo: libcompile crc/crc16_xmodem_table.c
	./libcompile crc/crc16_xmodem_table.c

crc/crc16_xmodem_table.o: compile crc/crc16_xmodem_table.c
	./compile crc/crc16_xmodem_table.c

crc/crc32_table.c: crc-gentab
	./crc-gentab crc32 32 0x04C11DB7 reflected >$@

crc/crc32_table.lo: libcompile crc/crc32_table.c
	./libcompile crc/crc32_table.c

crc/crc32_table.o: compile crc/crc32_table.c
	./compile crc/crc32_table.c

crc/crc32c_table.c: crc-gentab
	./crc-gentab crc32c 32 0x1EDC6F41 reflected >$@

crc/crc32c_table.lo: libcompile crc/crc32c_table.c
	./libcompile crc/crc32c_table.c

crc/crc32c_table.o: compile crc/crc32c_table.c
	./compile crc/crc32c_table.c

crc/crc64_table.c: crc-gentab
	./crc-gentab crc64 64 0x42F0E1EBA9EA3693 normal >$@

crc/crc64_table.lo: libcompile crc/crc64_table.c
	./libcompile crc/crc64_table.c

crc/crc64_table.o: compile crc/crc64_table.c
	./compile crc/crc64_table.c

crc/gcrc16fwd.lo: libcompile crc/gcrc16fwd.c crc/gcrc.h sysdeps.h crc/crc16_ccitt.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc16fwd.c

crc/gcrc16fwd.o: compile crc/gcrc16fwd.c crc/gcrc.h sysdeps.h crc/crc16_ccitt.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./compile crc/gcrc16fwd.c

crc/gcrc16rfl.lo: libcompile crc/gcrc16rfl.c crc/gcrc.h sysdeps.h crc/crc16_arc.h crc/crc16_xmodem.h uint16.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc16rfl.c

crc/gcrc16rfl.o: compile crc/gcrc16rfl.c crc/gcrc.h sysdeps.h crc/crc16_arc.h crc/crc16_xmodem.h uint16.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./compile crc/gcrc16rfl.c

crc/gcrc32fwd.lo: libcompile crc/gcrc32fwd.c crc/gcrc.h sysdeps.h
	./libcompile crc/gcrc32fwd.c

crc/gcrc32fwd.o: compile crc/gcrc32fwd.c crc/gcrc.h sysdeps.h
	./compile crc/gcrc32fwd.c

crc/gcrc32rfl.lo: libcompile crc/gcrc32rfl.c crc/gcrc.h sysdeps.h crc/crc32.h uint32.h sysdeps.h uintnn.h crc/crc32c.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc32rfl.c

crc/gcrc32rfl.o: compile crc/gcrc32rfl.c crc/gcrc.h sysdeps.h crc/crc32.h uint32.h sysdeps.h uintnn.h crc/crc32c.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./compile crc/gcrc32rfl.c

crc/gcrc64fwd.lo: libcompile crc/gcrc64fwd.c crc/gcrc.h sysdeps.h crc/crc64.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc64fwd.c
