## bglibs 1.106

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

adt/adt_sp.lo adt/adt_sp.o: ltcompile adt/adt_sp.c adt/common.h
	./ltcompile adt/adt_sp.c

adt/ghash_add.lo adt/ghash_add.o: ltcompile adt/ghash_add.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_add.c

adt/ghash_foreach.lo adt/ghash_foreach.o: ltcompile adt/ghash_foreach.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_foreach.c

adt/ghash_free.lo adt/ghash_free.o: ltcompile adt/ghash_free.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_free.c

adt/ghash_get.lo adt/ghash_get.o: ltcompile adt/ghash_get.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_get.c

adt/ghash_init.lo adt/ghash_init.o: ltcompile adt/ghash_init.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_init.c

adt/ghash_insert.lo adt/ghash_insert.o: ltcompile adt/ghash_insert.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_insert.c

adt/ghash_iter.lo adt/ghash_iter.o: ltcompile adt/ghash_iter.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_iter.c

adt/ghash_rebuild.lo adt/ghash_rebuild.o: ltcompile adt/ghash_rebuild.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_rebuild.c

adt/ghash_rehash.lo adt/ghash_rehash.o: ltcompile adt/ghash_rehash.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_rehash.c

adt/ghash_remove.lo adt/ghash_remove.o: ltcompile adt/ghash_remove.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_remove.c

adt/ghash_search.lo adt/ghash_search.o: ltcompile adt/ghash_search.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_search.c

adt/ghash_set.lo adt/ghash_set.o: ltcompile adt/ghash_set.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_set.c

adt/gqueue_pop.lo adt/gqueue_pop.o: ltcompile adt/gqueue_pop.c adt/gqueue.h adt/common.h
	./ltcompile adt/gqueue_pop.c

adt/gqueue_push.lo adt/gqueue_push.o: ltcompile adt/gqueue_push.c adt/gqueue.h adt/common.h
	./ltcompile adt/gqueue_push.c

adt/gqueue_top.lo adt/gqueue_top.o: ltcompile adt/gqueue_top.c adt/gqueue.h adt/common.h
	./ltcompile adt/gqueue_top.c

adt/gstack_pop.lo adt/gstack_pop.o: ltcompile adt/gstack_pop.c adt/gstack.h adt/common.h
	./ltcompile adt/gstack_pop.c

adt/gstack_push.lo adt/gstack_push.o: ltcompile adt/gstack_push.c adt/gstack.h adt/common.h
	./ltcompile adt/gstack_push.c

adt/gstack_top.lo adt/gstack_top.o: ltcompile adt/gstack_top.c adt/gstack.h adt/common.h
	./ltcompile adt/gstack_top.c

adt/hashb.lo adt/hashb.o: ltcompile adt/hashb.c adt/common.h
	./ltcompile adt/hashb.c

adt/hashs.lo adt/hashs.o: ltcompile adt/hashs.c adt/common.h
	./ltcompile adt/hashs.c

all: dotlibs sysdeps.h libraries bg-installer cli-generate selftests

base64/asc2bin.lo base64/asc2bin.o: ltcompile base64/asc2bin.c base64/base64.h str/str.h
	./ltcompile base64/asc2bin.c

base64/bin2asc.lo base64/bin2asc.o: ltcompile base64/bin2asc.c base64/base64.h str/str.h
	./ltcompile base64/bin2asc.c

base64/decode_line.lo base64/decode_line.o: ltcompile base64/decode_line.c base64/base64.h str/str.h
	./ltcompile base64/decode_line.c

base64/decode_part.lo base64/decode_part.o: ltcompile base64/decode_part.c base64/base64.h str/str.h
	./ltcompile base64/decode_part.c

base64/encode_line.lo base64/encode_line.o: ltcompile base64/encode_line.c base64/base64.h str/str.h
	./ltcompile base64/encode_line.c

base64/encode_part.lo base64/encode_part.o: ltcompile base64/encode_part.c base64/base64.h str/str.h
	./ltcompile base64/encode_part.c

bg-installer: bg-installer.o ltload libbg-cli.la libbg-msg.la libbg-path.la libbg-iobuf.la libbg-fmt.la libbg-str.la libbg-sysdeps.la
	./ltload bg-installer libbg-cli.la libbg-msg.la libbg-path.la libbg-iobuf.la libbg-fmt.la libbg-str.la libbg-sysdeps.la -static 

bg-installer.o: compile bg-installer.c sysdeps.h cli/cli.h fmt/number.h iobuf/ibuf.h iobuf/common.h iobuf/obuf.h iobuf/iobuf.h msg/msg.h msg/debug.h msg/wrap.h path/path.h str/str.h
	./compile bg-installer.c

cdb/cdb.lo cdb/cdb.o: ltcompile cdb/cdb.c cdb/cdb.h sysdeps.h
	./ltcompile cdb/cdb.c

cdb/cdbhash.lo cdb/cdbhash.o: ltcompile cdb/cdbhash.c cdb/cdb.h sysdeps.h
	./ltcompile cdb/cdbhash.c

cdb/find.lo cdb/find.o: ltcompile cdb/find.c cdb/cdb.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./ltcompile cdb/find.c

cdb/get.lo cdb/get.o: ltcompile cdb/get.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./ltcompile cdb/get.c

cdb/getnext.lo cdb/getnext.o: ltcompile cdb/getnext.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./ltcompile cdb/getnext.c

cdb/make.lo cdb/make.o: ltcompile cdb/make.c cdb/cdb.h sysdeps.h cdb/make.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./ltcompile cdb/make.c

cdb/read.lo cdb/read.o: ltcompile cdb/read.c cdb/cdb.h sysdeps.h
	./ltcompile cdb/read.c

choose: warn-auto.sh choose.sh
	cat warn-auto.sh choose.sh >choose
	chmod 755 choose

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

cli-generate: perl-head.pl cli-generate.pl
	cat perl-head.pl cli-generate.pl >cli-generate
	chmod 755 cli-generate

cli/help.lo cli/help.o: ltcompile cli/help.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h systime.h cli/cli.h cli/internal.h
	./ltcompile cli/help.c

cli/main.lo cli/main.o: ltcompile cli/main.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h systime.h cli/cli.h cli/internal.h
	./ltcompile cli/main.c

compile: conf-cc
	(  \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I.  '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

crc-gentab: crc-gentab.o ltload libbg-msg.la libbg-iobuf.la libbg-sysdeps.la
	./ltload crc-gentab libbg-msg.la libbg-iobuf.la libbg-sysdeps.la -static 

crc-gentab.o: compile crc-gentab.c sysdeps.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h
	./compile crc-gentab.c

crc/crc16_arc_table.c: crc-gentab
	./crc-gentab crc16_arc 16 0x8005 reflected >$@

crc/crc16_arc_table.lo crc/crc16_arc_table.o: ltcompile crc/crc16_arc_table.c
	./ltcompile crc/crc16_arc_table.c

crc/crc16_ccitt_table.c: crc-gentab
	./crc-gentab crc16_ccitt 16 0x1021 normal >$@

crc/crc16_ccitt_table.lo crc/crc16_ccitt_table.o: ltcompile crc/crc16_ccitt_table.c
	./ltcompile crc/crc16_ccitt_table.c

crc/crc16_xmodem_table.c: crc-gentab
	./crc-gentab crc16_xmodem 16 0x8408 reflected >$@

crc/crc16_xmodem_table.lo crc/crc16_xmodem_table.o: ltcompile crc/crc16_xmodem_table.c
	./ltcompile crc/crc16_xmodem_table.c

crc/crc32_table.c: crc-gentab
	./crc-gentab crc32 32 0x04C11DB7 reflected >$@

crc/crc32_table.lo crc/crc32_table.o: ltcompile crc/crc32_table.c
	./ltcompile crc/crc32_table.c

crc/crc32c_table.c: crc-gentab
	./crc-gentab crc32c 32 0x1EDC6F41 reflected >$@

crc/crc32c_table.lo crc/crc32c_table.o: ltcompile crc/crc32c_table.c
	./ltcompile crc/crc32c_table.c

crc/crc64_table.c: crc-gentab
	./crc-gentab crc64 64 0x42F0E1EBA9EA3693 normal >$@

crc/crc64_table.lo crc/crc64_table.o: ltcompile crc/crc64_table.c
	./ltcompile crc/crc64_table.c

crc/gcrc16fwd.lo crc/gcrc16fwd.o: ltcompile crc/gcrc16fwd.c crc/gcrc.h sysdeps.h crc/crc16_ccitt.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc16fwd.c

crc/gcrc16rfl.lo crc/gcrc16rfl.o: ltcompile crc/gcrc16rfl.c crc/gcrc.h sysdeps.h crc/crc16_arc.h crc/crc16_xmodem.h uint16.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc16rfl.c

crc/gcrc32fwd.lo crc/gcrc32fwd.o: ltcompile crc/gcrc32fwd.c crc/gcrc.h sysdeps.h
	./ltcompile crc/gcrc32fwd.c

crc/gcrc32rfl.lo crc/gcrc32rfl.o: ltcompile crc/gcrc32rfl.c crc/gcrc.h sysdeps.h crc/crc32.h uint32.h sysdeps.h uintnn.h crc/crc32c.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc32rfl.c

crc/gcrc64fwd.lo crc/gcrc64fwd.o: ltcompile crc/gcrc64fwd.c crc/gcrc.h sysdeps.h crc/crc64.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc64fwd.c

crc/gcrc64rfl.lo crc/gcrc64rfl.o: ltcompile crc/gcrc64rfl.c crc/gcrc.h sysdeps.h
	./ltcompile crc/gcrc64rfl.c

crypt.lib: compile load
	@echo -n 'Checking for -lcrypt: '
	@echo 'main() { ; }' >trylib-lcrypt.c
	@{ ./compile trylib-lcrypt.c && ./load trylib-lcrypt -lcrypt; } >/dev/null 2>&1 \
	  && { echo -lcrypt >crypt.lib; echo yes; } \
	  || { echo -n >crypt.lib; echo no; }
	@rm -f trylib-lcrypt.c trylib-lcrypt.o trylib-lcrypt

crypto/hmac-md5.lo crypto/hmac-md5.o: ltcompile crypto/hmac-md5.c sysdeps.h crypto/hmac.h crypto/md5.h str/str.h
	./ltcompile crypto/hmac-md5.c

crypto/hmac-sha1.lo crypto/hmac-sha1.o: ltcompile crypto/hmac-sha1.c sysdeps.h crypto/hmac.h crypto/sha1.h sysdeps.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/hmac-sha1.c

crypto/hmac-sha256.lo crypto/hmac-sha256.o: ltcompile crypto/hmac-sha256.c crypto/hmac.h crypto/sha256.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/hmac-sha256.c

crypto/hmac-sha384.lo crypto/hmac-sha384.o: ltcompile crypto/hmac-sha384.c sysdeps.h crypto/hmac.h crypto/sha384.h sysdeps.h crypto/sha512.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/hmac-sha384.c

crypto/hmac-sha512.lo crypto/hmac-sha512.o: ltcompile crypto/hmac-sha512.c sysdeps.h crypto/hmac.h crypto/sha512.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/hmac-sha512.c

crypto/hmac.lo crypto/hmac.o: ltcompile crypto/hmac.c sysdeps.h str/str.h crypto/hmac.h
	./ltcompile crypto/hmac.c

crypto/md4.lo crypto/md4.o: ltcompile crypto/md4.c sysdeps.h crypto/md4.h
	./ltcompile crypto/md4.c

crypto/md5-crypt.lo crypto/md5-crypt.o: ltcompile crypto/md5-crypt.c crypto/md5.h
	./ltcompile crypto/md5-crypt.c

crypto/md5.lo crypto/md5.o: ltcompile crypto/md5.c sysdeps.h crypto/md5.h str/str.h
	./ltcompile crypto/md5.c

crypto/sha1.lo crypto/sha1.o: ltcompile crypto/sha1.c crypto/sha1.h sysdeps.h uint32.h sysdeps.h uintnn.h uint64.h sysdeps.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/sha1.c

crypto/sha256.lo crypto/sha256.o: ltcompile crypto/sha256.c crypto/sha256.h sysdeps.h uint32.h sysdeps.h uintnn.h uint64.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/sha256.c

crypto/sha384.lo crypto/sha384.o: ltcompile crypto/sha384.c sysdeps.h crypto/sha384.h sysdeps.h crypto/sha512.h sysdeps.h uint64.h sysdeps.h uintnn.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/sha384.c

crypto/sha512.lo crypto/sha512.o: ltcompile crypto/sha512.c sysdeps.h crypto/sha512.h sysdeps.h uint64.h sysdeps.h uintnn.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/sha512.c

crypto/surf.lo crypto/surf.o: ltcompile crypto/surf.c crypto/surf.h uint32.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/surf.c

crypto/surfrand.lo crypto/surfrand.o: ltcompile crypto/surfrand.c crypto/surfrand.h crypto/surf.h uint32.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/surfrand.c

dict/add.lo dict/add.o: ltcompile dict/add.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/add.c

dict/dicthash.lo dict/dicthash.o: ltcompile dict/dicthash.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/dicthash.c

dict/foreach.lo dict/foreach.o: ltcompile dict/foreach.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/foreach.c

dict/free.lo dict/free.o: ltcompile dict/free.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/free.c
