=== debian/changelog ===
bglibs (1.106-3) unstable; urgency=medium

  * QA upload.
  * Do not add -fPIC to CFLAGS. This undoes the change in the previous
    upload as it was not really necessary. Thanks to Adrian Bunk for
    the report. Closes: #842109.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Oct 2016 13:29:02 +0200

bglibs (1.106-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build binaries with -fPIC (Closes: #837709)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Sep 2016 20:17:16 +0200

bglibs (1.106-2) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * debian/rules: Drop patch target and related stuff.
  * debian/control: Package is orphaned (Bug #544056),
    set Maintainer field to "Debian QA Group".
  * debian/control: Drop Recommends of libbg1 on libbg1-doc.
  * debian/rules and debian/implicit: Use gzip -n to improve
    reproducibility. Closes: #776942. Thanks to Chris Lamb.
  * debian/rules: Allow build with umask 002 to improve reproducibility.
  * debian/rules: Do not save or restore conf-bin, conf-cc, conf-include,
    conf-lib or conf-man. Just remove them in the clean target.
  * debian/rules: Add conf-ld to the mix and use dpkg-buildflags for hardening.
  * debian/rules: Add build-arch and build-indep targets. Closes: #831918.
  * debian/rules: Do not pass -isp to dpkg-gencontrol, it does nothing.
  * debian/implicit: Sort output of find before calculating md5sums to
    improve reproducibility.
  * debian/implicit: Add support for triggers.
  * debian/libbg1.triggers: New file to do ldconfig stuff with triggers.
  * Drop postinst and postrm accordingly.
  * debian/control: Standards-Version: 3.9.8.

 -- Santiago Vila <sanvila@debian.org>  Sun, 07 Aug 2016 17:44:22 +0200

bglibs (1.106-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761734.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:15:11 +0000

bglibs (1.106-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: package libbg-docs: properly install documentation
    into /usr/share/doc/libbg$(SO)-doc/.

 -- Gerrit Pape <pape@smarden.org>  Tue, 06 Oct 2009 03:05:13 +0000

bglibs (1.104-2) unstable; urgency=low

  * debian/rules: typo (fixes FTBFS on autobuilders).

 -- Gerrit Pape <pape@smarden.org>  Mon, 12 May 2008 08:54:49 +0000

bglibs (1.104-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/ibuf_openreadclose.diff: remove; applied upstream.
  * debian/rules: mostly redo; build, install new packages; drop diet
    libraries for now.
  * debian/control: binary packages change to libbg1, libbg1-dev,
    libbg1-doc, providing shared and static libraries; no longer
    Build-Depends: dietlibc-dev; Build-Depends: libtool;
    Standards-Version: 3.7.3.0.
  * bglibs-dev.postinst, bglibs-dev.README.Debian, bglibs-doc.docs:
    rename to libbg1.*, -dev.*, -doc.* respectively.
  * debian/libbg1-dev.postinst: drop support for upgrade from <<
    1.015-0; run ldconfig on configure.
  * debian/libbg1.postrm: new; run ldconfig on remove.
  * debian/libbg1-doc.docs: adapt paths.
  * debian/implicit: update to revision a09db2e.

 -- Gerrit Pape <pape@smarden.org>  Tue, 29 Apr 2008 21:52:52 +0000

bglibs (1.041-2) unstable; urgency=low

  * debian/diff/ibuf_openreadclose.diff: ibuf_openreadclose() returns 0 if
    it it fails to open the file (#376244).

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Jul 2006 21:04:49 +0000

bglibs (1.041-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: remove workaround for #327229; strip binaries only; install
    man page into /usr/share/man/ hierarchy and gzip -9.
  * debian/diff/signed-char.diff: remove; applied upstream.

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 16:22:53 +0000

bglibs (1.031-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/signed-char.diff: adapt.
  * debian/copyright: adapt; license now is LGPL-2.1.

 -- Gerrit Pape <pape@smarden.org>  Tue,  6 Dec 2005 16:49:38 +0000

bglibs (1.027-3) unstable; urgency=low

  * debian/diff/signed-char.diff; new; asc2bin: char->signed char (closes:
    #332321).

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Oct 2005 18:23:36 +0000

bglibs (1.027-2) unstable; urgency=medium

  * debian/rules: use -O1 in CFLAGS on arm, hppa for build against glibc,
    don't use -Os switch to diet on arm for build against diet libc (works
    around: #327229).

 -- Gerrit Pape <pape@smarden.org>  Mon, 26 Sep 2005 10:00:22 +0000

bglibs (1.027-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: use -O0 in CFLAGS on arm, hppa to work around gcc-4
    optimization problem.

 -- Gerrit Pape <pape@smarden.org>  Wed,  7 Sep 2005 11:20:51 +0000

bglibs (1.026-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/findprev-in-empty.diff, debian/diff/findprev-in-empty.diff:
    remove; fixed upstream.

 -- Gerrit Pape <pape@smarden.org>  Mon, 22 Aug 2005 18:22:34 +0000

bglibs (1.024-2) unstable; urgency=low

  * debian/diff/findprev-in-empty.diff, debian/diff/findprev-in-empty.diff:
    new (fixes mailfront testing failures on alpha, ia64).
  * debian/rules: unpack: apply diffs in debian/diff/.
  * debian/bglibs-dev.postinst: minor.

 -- Gerrit Pape <pape@smarden.org>  Sun, 31 Jul 2005 09:13:08 +0000

bglibs (1.024-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Thu, 14 Jul 2005 08:01:03 +0000

bglibs (1.023-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.6.2.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Jul 2005 11:14:18 +0000

bglibs (1.022-1) unstable; urgency=low

  * new upstream version.
    - fixes build failure on amd64 (thx Kurt Roeckx, closes: #313064).
  * debian/control: Depends: ${shlibs:Depends}.
  * debian/rules: don't install target directories, make install now does;
    binary-arch: run dpkg-shlibdeps.
  * debian/copyright: 2005.


