=== debian/control ===
Source: bglibs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libtool, libtool-bin
Standards-Version: 3.9.8

Package: libbg1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libbg1-dev
Description: BG Libraries Collection
 This package contains a collection of libraries written by myself
 [Bruce Guenter] and put in use in various packages.
 .
 The library collection is mandatory to build most of Bruce Guenter's
 software packages available at http://untroubled.org.
 .
 This package contains the shared libraries.

Package: libbg1-dev
Section: libdevel
Architecture: any
Depends: libbg1 (= ${binary:Version}), ${shlibs:Depends}
Provides: libbg-dev, bglibs-dev
Conflicts: libbg-dev, bglibs-dev
Recommends: bglibs-doc
Description: BG Libraries Collection (development)
 This package contains a collection of libraries written by myself
 [Bruce Guenter] and put in use in various packages.
 .
 The library collection is mandatory to build most of Bruce Guenter's
 software packages available at http://untroubled.org.
 .
 This package contains the development files.

Package: libbg1-doc
Section: doc
Architecture: all
Suggests: libbg1-dev
Conflicts: bglibs-doc
Description: BG Libraries Collection (documentation)
 The bglibs library collection is mandatory to build most of Bruce
 Guenter's software packages available at http://untroubled.org.
 .
 This package contains the documentation for bglibs.
