=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
	https://untroubled.org/bglibs/ \
	(?:|.*/)bglibs(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
